services:
  onlyoffice:
    image: onlyoffice/documentserver:9.3.1.2
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    ports:
      - "${PANEL_APP_PORT_HTTP}:80"
    volumes:
      - ./data/logs:/var/log/onlyoffice
      - ./data/data:/var/www/onlyoffice/Data
      - ./data/lib:/var/lib/onlyoffice
      - ./data/db:/var/lib/postgresql
    environment:
      - JWT_SECRET=${JWT_SECRET}
    labels:  
      createdBy: "Apps"
networks:  
  opsmind-network:  
    external: true
